#!/usr/bin/perl -w
$rsname = "";
while ( $arg = shift ) {
	if ( ! $rsname ) {
		$rsname = $arg;
	} else {
		print STDERR "bogus arg \"$arg\" (rsname $rsname)\n";
		exit 1;
	}
}
$rsname = "runspec";
while ( 1 ) {
	open LS, $rsname or die "no runspec";
	@lines = ();
	while ( $a = <LS> ) {
		chomp $a;
		if ( $a ~! /^#/ ) {
			push @lines, $a;
		}
	}
	close LS;
	if ( ! @lines ) {
		print "empty runspec\n";
		exit 0;
	}
	foreach $mode ( @lines ) {
		if ( -e runcycle_end ) {
			print "saw runcycle_end\n";
			exit 0;
		}
#		@cmd = ( "/usr/bin/nohup", "/usr/bin/nice", "-n", "20", "./voter", "-F", "resultDB", "--threads", "2" );
		$cmd = "/usr/bin/nohup /usr/bin/nice -n 20 ./voter -F resultDB --threads 2 $mode > RUNLOG 2>&1";
		print "$cmd\n";
		system $cmd;
		@d = localtime;
		$datestr = sprintf "%04d%02d%02d_%02d%02d%02d", $d[5] + 1900, $d[4] + 1, $d[3], $d[2], $d[1], $d[0];
		system "gzip < resultDB > resultDB${datestr}.gz";
		system "chmod a-w resultDB${datestr}.gz";
	}
}
